from sqlmodel import SQLModel, Field
from datetime import datetime
from typing import Optional


class HubspotUser(SQLModel, table=True):
    __tablename__ = "hubspot_users"

    hubspot_owner_id: str = Field(primary_key=True)
    first_name: Optional[str] = Field(default=None)
    last_name: Optional[str] = Field(default=None)
    email: Optional[str] = Field(default=None)
    updated_at: datetime
